---
title: List group with badges
slug: Web/CSS/Layout_cookbook/List_group_with_badges
tags:
  - CSS
  - Guide
  - Layout
  - box alignment
  - cookbook
  - flexbox
  - lists
---
<p>{{CSSRef}}</p>

<p class="summary">In this recipe we will create a list group pattern with badges that indicate a count.</p>

<p><img alt="A list of items with a badge indicating a count displayed to the right of the text." src="https://mdn.mozillademos.org/files/16255/list-group-badges.png" style="height: 423px; width: 791px;"></p>

<h2 id="Requirements">Requirements</h2>

<p>Our list items should be displayed with the badges lined up on the right, no matter how much content the item has. The badge should always be centered vertically whether there is a single line of content, or more than one.</p>

<h2 id="Recipe">Recipe</h2>

<p>{{EmbedGHLiveSample("css-examples/css-cookbook/list-group-badges.html", '100%', 720)}}</p>

<div class="note">
<p><a href="https://github.com/mdn/css-examples/blob/master/css-cookbook/list-group-badges--download.html">Download this example</a></p>
</div>

<h2 id="Choices_made">Choices made</h2>

<p>Flexbox makes this particular pattern straightforward and also makes it easy to make changes to the layout.</p>

<p>To ensure the text and badge line up correctly I use the {{cssxref("justify-content")}} property with a value of <code>space-between</code>. This places any extra space between the items. In the live example, if you remove this property and you will see the badge move to the end of the text on items with text shorter than the one line.</p>

<p>To align the content horizontally, I use the {{cssxref("align-items")}} property to align the text and badge on the cross axis. If instead, you want the badge to align to the top of the content, change this to <code>align-items: flex-start</code>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The various layout methods have different browser support. See the charts below for details on basic support for the properties used.</p>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<h4 id="justify-content">justify-content</h4>

<p>{{Compat("css.properties.justify-content")}}</p>

<h4 id="align-items">align-items</h4>

<p>{{Compat("css.properties.align-items")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Box_Alignment/Box_Alignment_in_Flexbox">Box alignment in Flexbox</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Aligning_Items_in_a_Flex_Container">Aligning items in a flex container</a></li>
</ul>
